org.apache.poi.hslf.model.textproperties

## Class IndentProp

- java.lang.Object
- - org.apache.poi.hslf.model.textproperties.IndentProp

- All Implemented Interfaces:
    GenericRecord

      public class IndentProp
      extends java.lang.Object
      implements GenericRecord

  Definition of the indent level of some text. Defines how many characters it applies to, and what indent level they share. This is defined by the slightly confusingly named MasterTextPropRun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndentProp(int charactersCovered, short indentLevel)` Generate the definition of a given text indent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharactersCovered()` Fetch the number of characters this styling applies to
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getIndentLevel()`
    `void` | `setIndentLevel(int indentLevel)` Sets the indent level, which can be between 0 and 4
    `void` | `updateTextSize(int textSize)` Update the size of the text that this set of properties applies to

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### IndentProp

          public IndentProp(int charactersCovered,
                            short indentLevel)

      Generate the definition of a given text indent

  - ### Method Detail

    - #### getCharactersCovered

          public int getCharactersCovered()

      Fetch the number of characters this styling applies to

    - #### getIndentLevel

          public int getIndentLevel()

    - #### setIndentLevel

          public void setIndentLevel(int indentLevel)

      Sets the indent level, which can be between 0 and 4

    - #### updateTextSize

          public void updateTextSize(int textSize)

      Update the size of the text that this set of properties applies to

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.